Jump to content

[Slim] .NET Framework 4 Full x86/x64 (1-10-2016)


ricktendo
 Share

Recommended Posts

  • 4 weeks later...

Just found out net 2.0 and 3.5 are not enabled by default in Windows 8 but I added this line to my first log on command from a fresh load and it was enabled

DISM /Online /Enable-Feature /FeatureName:NetFx3 /All /LimitAccess /Source:%systemdrive%\NT6x\sxs

I copied the sxs folder from Windows 8 source folder and placed in my OEM\$1 folder on root of my USB Drive so on install, the NT6x folder gets copied to systemdrive and I have a cmd in that folder that sets up everything like I like it. Works like a charm but anyway, to my point. I tried to use ricks installer in a Windows 8 install and it said that 4.0 was already installed and needs to be enable but can't figure out how to do so?

Link to comment
Share on other sites

Its enabled by default, no need to do nothing

I was thinking that also but when I got that message, it threw me off. I am not liking that Windows 8 so far. Took me more than 5 mins to figure out where the shutdown button was! But that's off topic, just had to throw it in. :)

Link to comment
Share on other sites

  • 2 weeks later...

Thanks Rick for this awesome repack. Just one question. Will your installer work as is if I create SVCPACK AddOn and integrate via NT6.x Integrator / Win Toolkit 4.x?

The reason I ask is because OnePiece is suggesting that I split / unpack your installer and recompile using the methods described in your Silent "No GUI" SFX alternative v1.4.

I was hoping to just put your installer as is in SVCPACK folder create an entries.ini and call the installer


;entries_dotNet4fx.ini
[AddProgram]
dotNetFx40_Full_x86_x64_SlimSetup.exe /ai

Any insight would be much appreciated.

Edited by dotfusion
Link to comment
Share on other sites

Ok, let me put it another way: when 4.5 addon will be out, only xp users will be interested in downloading this addon. And more than 90% of them will only need Client version. So you'll force 90% of them either to repack this addon, either to use the Extended version, that has the ngen optimization routine implemented via the /ain switch. So I was thinking only of adding another switch, that combines client with ngen optimization - if you don't want to remove other switches it's not so important.

I was just hoping you'll have the time to make it easier to use for XP users, since those are the only ones that are going to download it in the near future. Once again, not a request, it just made more logic to me, you're already spending alot of time here making many useful packs.

That time is now and this addon has just become xp exclusive (Vista and 7 users will use 4.5). So please Rick, with your next update, reconsider my request. Thanks. :)

Link to comment
Share on other sites

  • 2 weeks later...

hi @rick,

sorry if it's a silly question but..I repack it with "dotNET4sfxNoGUI".. in README.txt you says

If you are going to repack this installer for SVCPACK install enable ALL the following lines by removing semicolon in config.txt

so if I want to use it with SVCPACK, I have to remove that semicolon.. but if remove semicolon then could I use the same installer also for my WPI(switchless) or should I make another repack for WPI with semicolon?

thanks.

Link to comment
Share on other sites

  • 2 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...